/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Frames;

import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;


import javax.swing.table.DefaultTableModel;

/**
 *
 * @author ELGHAZI
 */
public class Frame_director extends javax.swing.JFrame {

    /**
     * Creates new form Frame_director
     */
    public int id_etu;
    public int id_prof;
    public Frame_director() {
        initComponents();
        setTitle("Etudient Info");
        setSize(1250,700);
        setLocationRelativeTo(null);
        
        setDefaultCloseOperation(Log_In.DISPOSE_ON_CLOSE);
        
        SchoolDB DB=new SchoolDB();
        ResultSet result=DB.director_data();
        DefaultTableModel model=(DefaultTableModel ) tabel_dir.getModel();
        model.setRowCount(0);
        try {
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3),result.getString(4)});
            }
        } catch (SQLException ex) {
            Logger.getLogger(Frame_director.class.getName()).log(Level.SEVERE, null, ex);
        }
            tabel_dir.setEnabled(false);
//          ---------------Information Des Etidiants------------------------
            result=DB.Etudient_data();
            model=(DefaultTableModel ) table_etudiant_cour.getModel();
            model.setRowCount(0);
        try {
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3)
                        ,result.getString(4),result.getString(5),result.getString(6)});
            }
        } catch (SQLException ex) {
            Logger.getLogger(Frame_director.class.getName()).log(Level.SEVERE, null, ex);
        }
            table_etudiant_cour.setEnabled(false);    
//          ---------------Information Des Profs------------------------
            result=DB.prof_data();
             model=(DefaultTableModel ) table_profs.getModel();
            model.setRowCount(0);
        try {
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3),result.getString(4),result.getString(5),result.getString(6)});
            }
        } catch (SQLException ex) {
            Logger.getLogger(Frame_director.class.getName()).log(Level.SEVERE, null, ex);
        }
            table_profs.setEnabled(false);
        B_Modifier.setEnabled(false);
        B_add.setEnabled(false);
        B_Suprimer.setEnabled(false);
            
            
            
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        B_recherche = new javax.swing.JButton();
        B_add = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        table_etudiant_cour = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        tabel_dir = new javax.swing.JTable();
        B_Modifier = new javax.swing.JButton();
        B_Suprimer = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        matier_table = new javax.swing.JTable();
        jLabel2 = new javax.swing.JLabel();
        id_input_rech = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        table_profs = new javax.swing.JTable();
        delete_prof = new javax.swing.JButton();
        id_input_prof = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        B_delete_etu = new javax.swing.JButton();
        id_input_etu_del = new javax.swing.JTextField();
        B_add_prof = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        B_recherche.setText("Recherche");
        B_recherche.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_rechercheActionPerformed(evt);
            }
        });

        B_add.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_add.setText("Ajouter");
        B_add.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_addActionPerformed(evt);
            }
        });

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel1.setText("Informatino Generale Des Etudiants");

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel4.setText("Inforamation De Director");

        table_etudiant_cour.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null}
            },
            new String [] {
                "Id", "Nom", "Prenom", "Age", "Sexe", "Dep_id"
            }
        ));
        jScrollPane3.setViewportView(table_etudiant_cour);

        tabel_dir.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null}
            },
            new String [] {
                "Nom", "Prenom", "Age", "Sexe"
            }
        ));
        jScrollPane2.setViewportView(tabel_dir);

        B_Modifier.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_Modifier.setText("Modifier");
        B_Modifier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_ModifierActionPerformed(evt);
            }
        });

        B_Suprimer.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_Suprimer.setText("Suprimer");
        B_Suprimer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_SuprimerActionPerformed(evt);
            }
        });

        matier_table.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Matier", "Note"
            }
        ));
        jScrollPane1.setViewportView(matier_table);

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel2.setText("Information Des Matiers");

        id_input_rech.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                id_input_rechActionPerformed(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel3.setText("ID :");

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel5.setText("Informatino  Des Prof");

        table_profs.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null}
            },
            new String [] {
                "Id", "Nom", "Prenom", "Age", "Sexe", "Salary"
            }
        ));
        jScrollPane4.setViewportView(table_profs);

        delete_prof.setText("Delete");
        delete_prof.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                delete_profActionPerformed(evt);
            }
        });

        id_input_prof.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                id_input_profActionPerformed(evt);
            }
        });

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel7.setText("ID :");

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel8.setText("ID :");

        B_delete_etu.setText("Delete ");
        B_delete_etu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_delete_etuActionPerformed(evt);
            }
        });

        id_input_etu_del.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                id_input_etu_delActionPerformed(evt);
            }
        });

        B_add_prof.setText("Add");
        B_add_prof.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_add_profActionPerformed(evt);
            }
        });

        jButton2.setText("Add");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addGap(657, 657, 657))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 196, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(403, 403, 403)
                        .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(id_input_etu_del, javax.swing.GroupLayout.PREFERRED_SIZE, 122, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(B_delete_etu, javax.swing.GroupLayout.PREFERRED_SIZE, 142, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(delete_prof, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 146, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGroup(layout.createSequentialGroup()
                                    .addContainerGap()
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                        .addComponent(jScrollPane2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 930, Short.MAX_VALUE)
                                        .addGroup(layout.createSequentialGroup()
                                            .addComponent(B_add_prof, javax.swing.GroupLayout.PREFERRED_SIZE, 195, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addGap(405, 405, 405)
                                            .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                            .addComponent(id_input_prof, javax.swing.GroupLayout.PREFERRED_SIZE, 115, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addComponent(jScrollPane4, javax.swing.GroupLayout.Alignment.TRAILING))))
                            .addGroup(layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 930, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(358, 358, 358)
                                .addComponent(jLabel5))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(359, 359, 359)
                                .addComponent(jLabel4)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(17, 17, 17)
                                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 204, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(B_add, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addComponent(jLabel3)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(id_input_rech, javax.swing.GroupLayout.PREFERRED_SIZE, 63, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(B_recherche, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 221, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(B_Modifier, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(B_Suprimer, javax.swing.GroupLayout.DEFAULT_SIZE, 223, Short.MAX_VALUE))))
                .addContainerGap(49, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jLabel4))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 49, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 178, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(B_add_prof)
                            .addComponent(delete_prof, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(id_input_prof, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel7))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel1)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(100, 100, 100)
                                .addComponent(B_add)
                                .addGap(7, 7, 7)
                                .addComponent(B_Modifier)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 164, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabel8)
                                .addComponent(id_input_etu_del, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(B_Suprimer))
                            .addComponent(jButton2)
                            .addComponent(B_delete_etu, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(121, 121, 121))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(B_recherche, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(id_input_rech, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel3))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                        .addGap(239, 239, 239))))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void B_rechercheActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_rechercheActionPerformed
        SchoolDB DB=new SchoolDB();
        this.id_etu=Integer.parseInt(id_input_rech.getText());
        ResultSet result=DB.cour_data_ById(id_etu);
        DefaultTableModel model=(DefaultTableModel ) matier_table.getModel();
        model.setRowCount(0);
        try {
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2)});
            }
            matier_table.setEnabled(false);
        } catch (SQLException ex) {
            Logger.getLogger(Frame_Prof.class.getName()).log(Level.SEVERE, null, ex);
        }
        B_Modifier.setEnabled(true);
        B_add.setEnabled(true);
        B_Suprimer.setEnabled(true);

    }//GEN-LAST:event_B_rechercheActionPerformed

    private void B_addActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_addActionPerformed
        int id=Integer.parseInt(id_input_rech.getText()) ;
        new add_cour(id).setVisible(true);

    }//GEN-LAST:event_B_addActionPerformed

    private void B_ModifierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_ModifierActionPerformed
        new modifier_cour(id_etu).setVisible(true);

    }//GEN-LAST:event_B_ModifierActionPerformed

    private void B_SuprimerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_SuprimerActionPerformed
        new suprime_cour_prof(id_etu).setVisible(true);

    }//GEN-LAST:event_B_SuprimerActionPerformed

    private void id_input_rechActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_id_input_rechActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_id_input_rechActionPerformed

    private void delete_profActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_delete_profActionPerformed
        SchoolDB DB=new SchoolDB(); 
        int id=Integer.parseInt(id_input_prof.getText())  ;
        DB.delete_prof_ById(id);
        new Frame_director().setVisible(true);
        this.dispose();
        
        
        
    }//GEN-LAST:event_delete_profActionPerformed

    private void id_input_profActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_id_input_profActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_id_input_profActionPerformed

    private void B_delete_etuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_delete_etuActionPerformed
        
        SchoolDB DB=new SchoolDB(); 
        int id=Integer.parseInt(id_input_etu_del.getText())  ;
        DB.delete_etud_ById(id);
        new Frame_director().setVisible(true);
        this.dispose();
        
    }//GEN-LAST:event_B_delete_etuActionPerformed

    private void id_input_etu_delActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_id_input_etu_delActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_id_input_etu_delActionPerformed

    private void B_add_profActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_add_profActionPerformed

        new add_prof().setVisible(true);
        this.dispose();
        
        
        
    }//GEN-LAST:event_B_add_profActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        new add_Etud().setVisible(true);
        this.dispose();
        
    }//GEN-LAST:event_jButton2ActionPerformed

    /**
     * @param args the command line arguments
     */


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton B_Modifier;
    private javax.swing.JButton B_Suprimer;
    private javax.swing.JButton B_add;
    private javax.swing.JButton B_add_prof;
    private javax.swing.JButton B_delete_etu;
    private javax.swing.JButton B_recherche;
    private javax.swing.JButton delete_prof;
    private javax.swing.JTextField id_input_etu_del;
    private javax.swing.JTextField id_input_prof;
    private javax.swing.JTextField id_input_rech;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JTable matier_table;
    private javax.swing.JTable tabel_dir;
    private javax.swing.JTable table_etudiant_cour;
    private javax.swing.JTable table_profs;
    // End of variables declaration//GEN-END:variables
}
